### Navigation

- next
- previous |
- S3QL v1.9 documentation »
- Manpages »

# The mount.s3ql command

## Synopsis

    mount.s3ql [options] <storage url> <mount point>

## Description

The mount.s3ql command mounts the S3QL file system stored in storage url in the directory mount point. The storage url depends on the backend that is used. The S3QL User’s Guide should be consulted for a description of the available backends.

## Options

The mount.s3ql command accepts the following options.

> `--log <target>` | Write logging info into this file. File will be rotated when it reaches 1 MB, and at most 5 old log files will be kept. Specify `none` to disable logging. Default: `~/.s3ql/mount.log`
> `--cachedir <path>`
> | Store cached data in this directory (default: `~/.s3ql)`
> `--authfile <path>`
> | Read authentication credentials from this file (default: `~/.s3ql/authinfo2)`
> `--debug <module>`
> | activate debugging output from <module>. Use `all` to get debug messages from all modules. This option can be specified multiple times.
> `--quiet` | be really quiet
> `--version` | just print program version and exit
> `--cachesize <size>`
> | Cache size in kb (default: 102400 (100 MB)). Should be at least 10 times the maximum object size of the filesystem, otherwise an object may be retrieved and written several times during a single write() or read() operation.
> `--max-cache-entries <num>`
> | Maximum number of entries in cache (default: 768). Each cache entry requires one file descriptor, so if you increase this number you have to make sure that your process file descriptor limit (as set with `ulimit -n`) is high enough (at least the number of cache entries + 100).
> `--min-obj-size <size>`
> | Minimum size of storage objects in KB. Files smaller than this may be combined into groups that are stored as single objects in the storage backend. Default: 512 KB.
> `--allow-other` | Normally, only the user who called `mount.s3ql` can access the mount point. This user then also has full access to it, independent of individual file permissions. If the `--allow-other` option is specified, other users can access the mount point as well and individual file permissions are taken into account for all users.
> `--allow-root` | Like `--allow-other`, but restrict access to the mounting user and the root user.
> `--fg` | Do not daemonize, stay in foreground
> `--single` | Run in single threaded mode. If you don’t understand this, then you don’t need it.
> `--upstart` | Stay in foreground and raise SIGSTOP once mountpoint is up.
> `--profile` | Create profiling information. If you don’t understand this, then you don’t need it.
> `--compress <name>`
> | Compression algorithm to use when storing new data. Allowed values: `lzma`, `bzip2`, `zlib`, none. (default: `lzma`)
> `--metadata-upload-interval <seconds>`
> | Interval in seconds between complete metadata uploads. Set to 0 to disable. Default: 24h.
> `--threads <no>` | Number of parallel upload threads to use (default: auto).
> `--nfs` | Support export of S3QL file systems over NFS (default: False)

## Exit Status

mount.s3ql returns exit code 0 if the operation succeeded and 1 if some error occured.

## See Also

The S3QL homepage is at http://code.google.com/p/s3ql/.

The full S3QL documentation should also be installed somewhere on your system, conventional locations are `/usr/share/doc/s3ql` or `/usr/local/doc/s3ql`.

### Navigation

- next
- previous |
- S3QL v1.9 documentation »
- Manpages »